aboutsummaryrefslogtreecommitdiffstats
path: root/main/zip
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-11-06 21:23:14 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-11-20 10:27:31 +0000
commit7d769a64f06368978748e06bd6d8f1d2052a3ecf (patch)
treef5a216e25ea43ba1b7979d5af152efee6d9488de /main/zip
parentab3d6eea5516f702df8966656f47968801533ae5 (diff)
downloadaports-7d769a64f06368978748e06bd6d8f1d2052a3ecf.tar.gz
aports-7d769a64f06368978748e06bd6d8f1d2052a3ecf.tar.bz2
aports-7d769a64f06368978748e06bd6d8f1d2052a3ecf.tar.xz
main/zip: add license file
Diffstat (limited to 'main/zip')
-rw-r--r--main/zip/APKBUILD27
1 files changed, 16 insertions, 11 deletions
diff --git a/main/zip/APKBUILD b/main/zip/APKBUILD
index 48c56d2793..835f49757c 100644
--- a/main/zip/APKBUILD
+++ b/main/zip/APKBUILD
@@ -1,28 +1,33 @@
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
pkgname=zip
pkgver=3.0
-pkgrel=3
+pkgrel=4
pkgdesc="Creates PKZIP-compatible .zip files"
url="http://www.info-zip.org/pub/infozip/Zip.html"
arch="all"
-license="AS IS"
+license="Custom"
depends=""
makedepends=""
-source="ftp://ftp.info-${pkgname}.org/pub/info${pkgname}/src/${pkgname}30.zip
-10-zip-3.0-build.patch
-20-zip-3.0-exec-stack.patch
-30-zip-3.0-pic.patch"
subpackages="$pkgname-doc"
+source="ftp://ftp.info-${pkgname}.org/pub/info${pkgname}/src/${pkgname}30.zip
+ 10-zip-3.0-build.patch
+ 20-zip-3.0-exec-stack.patch
+ 30-zip-3.0-pic.patch"
-build ()
-{
- cd "${srcdir}/${pkgname}30"
- for i in ../*.patch; do
+_builddir="$srcdir"/${pkgname}30
+build () {
+ cd "$_builddir"
+ for i in ../*.patch; do
msg "Applying $i"
patch -p0 < $i || return 1
done
make -f unix/Makefile LOCAL_ZIP="${CFLAGS} ${CPPFLAGS}" prefix=/usr generic || return 1
- make -f unix/Makefile prefix=${pkgdir}/usr MANDIR=${pkgdir}/usr/share/man install
+}
+
+package() {
+ cd "$_builddir"
+ make -f unix/Makefile prefix=${pkgdir}/usr MANDIR=${pkgdir}/usr/share/man install || return 1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}
md5sums="e88492c8abd68fa9cfba72bc08757dba zip30.zip